org.keycloak.protocol.docker.installation.compose

## Class DockerComposeYamlFile

- java.lang.Object
- - org.keycloak.protocol.docker.installation.compose.DockerComposeYamlFile

-     public class DockerComposeYamlFile
      extends Object

  Representation of the docker-compose.yaml file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerComposeYamlFile(String registryDataDirName, String localCertDirName, String containerCertPath, String localhostCrtFileName, String localhostKeyFileName, String authServerTrustChainFileName, URL authServerUrl, String realmName, String serviceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generateDockerComposeFileBytes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DockerComposeYamlFile

          public DockerComposeYamlFile(String registryDataDirName,
                                       String localCertDirName,
                                       String containerCertPath,
                                       String localhostCrtFileName,
                                       String localhostKeyFileName,
                                       String authServerTrustChainFileName,
                                       URL authServerUrl,
                                       String realmName,
                                       String serviceId)

      Parameters:
        `registryDataDirName` - Directory name to be used for both the container's storage directory, as well as the local data directory name
        `localCertDirName` - Name of the (relative) local directory that holds the certs
        `containerCertPath` - Path at which the local certs directory should be mounted on the container
        `localhostCrtFileName` - SSL Cert file name for the registry
        `localhostKeyFileName` - SSL Key file name for the registry
        `authServerTrustChainFileName` - IDP trust chain, used for auth token validation
        `authServerUrl` - Root URL for Keycloak, commonly something like http://localhost:8080/auth for dev environments
        `realmName` - Name of the realm for which the docker client is configured
        `serviceId` - Docker's Service ID, corresponds to Keycloak's client ID

  - ### Method Detail

    - #### generateDockerComposeFileBytes

          public byte[] generateDockerComposeFileBytes()

Copyright © 2021 JBoss by Red Hat. All rights reserved.